#ifndef _LIVEPATCH_BSC1200058_H
#define _LIVEPATCH_BSC1200058_H

struct watch_list;
struct watch_notification;
struct cred;
struct watch;
struct watch_queue;

void klpp___post_watch_notification(struct watch_list *wlist,
			       struct watch_notification *n,
			       const struct cred *cred,
			       u64 id);

int klpp_add_watch_to_object(struct watch *watch, struct watch_list *wlist);

int klpp_remove_watch_from_object(struct watch_list *wlist, struct watch_queue *wq,
			     u64 id, bool all);

int livepatch_bsc1200058_init(void);
static inline void livepatch_bsc1200058_cleanup(void) {}

#endif /* _LIVEPATCH_BSC1200058_H */
